# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaSurfaceSectionGeometricRelationship Class Reference

Representation of STEP entity FeaSurfaceSectionGeometricRelationship
.

`#include <StepFEA_FeaSurfaceSectionGeometricRelationship.hxx>`

## Public Member Functions

Standard_EXPORT | StepFEA_FeaSurfaceSectionGeometricRelationship ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepElement_SurfaceSection)&aSectionRef, const Handle(StepElement_AnalysisItemWithinRepresentation)&aItem)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepElement_SurfaceSection | SectionRef () const
| Returns field SectionRef .
Standard_EXPORT void | SetSectionRef (const Handle(StepElement_SurfaceSection)&SectionRef)
| Set field SectionRef .
Standard_EXPORT Handle_StepElement_AnalysisItemWithinRepresentation | Item () const
| Returns field Item .
Standard_EXPORT void | SetItem (const Handle(StepElement_AnalysisItemWithinRepresentation)&Item)
| Set field Item .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepElement_SurfaceSection | theSectionRef
Handle_StepElement_AnalysisItemWithinRepresentation | theItem

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaSurfaceSectionGeometricRelationship::StepFEA_FeaSurfaceSectionGeometricRelationship | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_FeaSurfaceSectionGeometricRelationship::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepFEA_FeaSurfaceSectionGeometricRelationship::Init | ( | const Handle(StepElement_SurfaceSection)& | aSectionRef,
|  | const Handle(StepElement_AnalysisItemWithinRepresentation)& | aItem
| ) |

Standard_EXPORT Handle_StepElement_AnalysisItemWithinRepresentation StepFEA_FeaSurfaceSectionGeometricRelationship::Item | ( |  | ) | const

Standard_EXPORT Handle_StepElement_SurfaceSection StepFEA_FeaSurfaceSectionGeometricRelationship::SectionRef | ( |  | ) | const

Standard_EXPORT void StepFEA_FeaSurfaceSectionGeometricRelationship::SetItem | ( | const Handle(StepElement_AnalysisItemWithinRepresentation)& | Item | ) |

Standard_EXPORT void StepFEA_FeaSurfaceSectionGeometricRelationship::SetSectionRef | ( | const Handle(StepElement_SurfaceSection)& | SectionRef | ) |

## Field Documentation

Handle_StepElement_AnalysisItemWithinRepresentation StepFEA_FeaSurfaceSectionGeometricRelationship::theItem `[private]`

Handle_StepElement_SurfaceSection StepFEA_FeaSurfaceSectionGeometricRelationship::theSectionRef `[private]`

The documentation for this class was generated from the following file:

- StepFEA_FeaSurfaceSectionGeometricRelationship.hxx